summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-06-12 10:38:39 +0200
committerMichał Górny <mgorny@gentoo.org>2017-06-12 11:40:04 +0200
commit7b7a55d23fe169041e3f8cf9d65eeab08197c68e (patch)
tree17bc5c2aa79f81a90b662c08c78b55e41ddd0679
parentxfce-base/xfce4-panel: Require garcon[gtk2] in <4.13 (diff)
downloadgentoo-7b7a55d23fe169041e3f8cf9d65eeab08197c68e.tar.gz
gentoo-7b7a55d23fe169041e3f8cf9d65eeab08197c68e.tar.bz2
gentoo-7b7a55d23fe169041e3f8cf9d65eeab08197c68e.zip
xfce-base/libxfce4util: Bump to 4.13.0, EAPI=6
-rw-r--r--xfce-base/libxfce4util/Manifest1
-rw-r--r--xfce-base/libxfce4util/libxfce4util-4.13.0.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/xfce-base/libxfce4util/Manifest b/xfce-base/libxfce4util/Manifest
index efbc6eb83b9..248318e96af 100644
--- a/xfce-base/libxfce4util/Manifest
+++ b/xfce-base/libxfce4util/Manifest
@@ -1 +1,2 @@
DIST libxfce4util-4.12.1.tar.bz2 455329 SHA256 876bdefa2e13cbf68b626b2158892fb93e824e1ef59cf951123a96cefbc8881d SHA512 0bd0fe23e9fa325b08559d2b783242dfc61412a8c7aa4e5a81e5262ebceb57a722aa515db12747c9de9804423f67e50805848e5bed328ba7d17e2737f54c2ef9 WHIRLPOOL ad08469f8246a439df7474d58cb41b1d2c278b7c2097e7a60dbc14a8dae10f63ea2e4c3ba910dbb57716bfb40c3d757fe2084efcf416cd32b524d391bfa313af
+DIST libxfce4util-4.13.0.tar.bz2 495133 SHA256 2e9a27e26e66244fadd05ffd2fc165ecb7d5f00765426198c01c8c65294033d1 SHA512 0da59b6d4e4976b9e36811074b829d5fff159d55c57628096d949a5b2109a7c5910f5fa4a628ba9c9d98258119ae4bf8e9af3ef121745f341a88dde8482ae078 WHIRLPOOL 0c0aa0920b4cdb535cb25c07d1203fe1e707357c5c446198ed4db0c70aa3cc71cf67aa72c9c0a23eefa9eb9366f7450f84653fb9894478a8f002ee7cbedc278b
diff --git a/xfce-base/libxfce4util/libxfce4util-4.13.0.ebuild b/xfce-base/libxfce4util/libxfce4util-4.13.0.ebuild
new file mode 100644
index 00000000000..2c4e3c7563e
--- /dev/null
+++ b/xfce-base/libxfce4util/libxfce4util-4.13.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A basic utility library for the Xfce desktop environment"
+HOMEPAGE="https://git.xfce.org/xfce/libxfce4util/"
+SRC_URI="mirror://xfce/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0/7"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE="introspection"
+
+RDEPEND=">=dev-libs/glib-2.30:=
+ introspection? ( dev-libs/gobject-introspection:= )"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ dev-util/gtk-doc-am
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_configure() {
+ local myconf=(
+ $(use_enable introspection)
+ # .gir is conditional to maintainer mode due to upstream bug
+ # https://bugzilla.xfce.org/show_bug.cgi?id=13638
+ $(use_enable introspection maintainer-mode)
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}